CREATE TABLE student_courses (
	id BIGSERIAL NOT NULL,
	course_id BIGINT NOT NULL,
	student_id BIGINT NOT NULL,
	semester_id BIGINT NOT NULL,
	grade BIGINT
);

\i data.sql

ALTER TABLE student_courses
	ADD CONSTRAINT pkey PRIMARY KEY (id),
	ADD CONSTRAINT uq UNIQUE (semester_id, student_id, course_id);

CREATE INDEX idx on student_courses using btree (semester_id, student_id);
CREATE INDEX idx2 on student_courses using btree (student_id);

ANALYZE VERBOSE student_courses;
